# dipy_fit_forecast

## Synopsis

Workflow for Fiber ORientation Estimated using Continuous Axially Symmetric Tensors (FORECAST).

FORECAST [1], [2], [3] is a Spherical Deconvolution reconstruction model for multi-shell diffusion data which enables the calculation of a voxel adaptive response function using the Spherical Mean Technique (SMT) [2], [3].

## Usage

    dipy_fit_forecast [OPTIONS] input_files bvalues_files bvectors_files mask_files

## Input Parameters

- `input_files`

  Path to the input volumes. This path may contain wildcards to process multiple inputs at once.

- `bvalues_files`

  Path to the bvalues files. This path may contain wildcards to use multiple bvalues files at once.

- `bvectors_files`

  Path to the bvectors files. This path may contain wildcards to use multiple bvalues files at once.

- `mask_files`

  Path to the input masks. This path may contain wildcards to use multiple masks at once. (default: No mask used)

## General Options

- `--lambda_lb`

  Regularization parameter for the Laplacian-Beltrami operator. (default: 0.001)

- `--dec_alg`

  Spherical deconvolution algorithm. The possible values are Weighted Least Squares (‘WLS’), Positivity Constraints using CVXPY (‘POS’) and the Constraint Spherical Deconvolution algorithm (‘CSD’). (default: CSD)

- `--lambda_csd`

  Regularization parameter for the CSD algorithm. (default: 1.0)

- `--sphere_name`

  Sphere name on which to reconstruct the fODFs. (default: None)

- `--b0_threshold`

  Threshold used to find b0 volumes. (default: 50.0)

- `--bvecs_tol`

  Bvecs should be unit vectors. (default: 0.01)

- `--sh_order_max`

  Maximum spherical harmonics order (l) used in the SFM fit. (default: 8)

- `--relative_peak_threshold`

  Only return peaks greater than `relative_peak_threshold * m` where m is the largest peak. (default: 0.5)

- `--min_separation_angle`

  The angle tolerance between directions. (default: 25)

- `--parallel`

  Whether to use parallelization in peak-finding. (default: False)

- `--extract_pam_values`

  Save or not to save pam volumes as single nifti files. (default: False)

- `--num_processes`

  If parallel is True, the number of subprocesses to use (default: None)

## Output Options

- `--out_dir`

  Output directory. (default: current directory)

- `--out_pam`

  Name of the peaks volume to be saved. (default: peaks.pam5)

- `--out_shm`

  Name of the spherical harmonics volume to be saved. (default: shm.nii.gz)

- `--out_peaks_dir`

  Name of the peaks directions volume to be saved. (default: peaks_dirs.nii.gz)

- `--out_peaks_values`

  Name of the peaks values volume to be saved. (default: peaks_values.nii.gz)

- `--out_peaks_indices`

  Name of the peaks indices volume to be saved. (default: peaks_indices.nii.gz)

- `--out_gfa`

  Name of the generalized FA volume to be saved. (default: gfa.nii.gz)

- `--out_sphere`

  Sphere vertices name to be saved. (default: sphere.txt)

- `--out_b`

  Name of the B Matrix to be saved. (default: B.nii.gz)

- `--out_qa`

  Name of the Quantitative Anisotropy to be saved. (default: qa.nii.gz)

## References

[1]

Adam W. Anderson. Measurement of fiber orientation distributions using high angular resolution diffusion imaging. Magnetic Resonance in Medicine, 54(5):1194–1206, 2005. URL: https://doi.org/10.1002/mrm.20667, doi:10.1002/mrm.20667.

[2] (1,2)

Enrico Kaden, Frithjof Kruggel, and Daniel C. Alexander. Quantitative mapping of the per-axon diffusion coefficients in brain white matter. Magnetic Resonance in Medicine, 75(4):1752–1763, April 2016. URL: https://doi.org/10.1002/mrm.25734, doi:10.1002/mrm.25734.

[3] (1,2)

Mauro Zucchelli, Maxime Descoteaux, and Gloria Menegaz. A generalized SMT-based framework for Diffusion MRI microstructural model estimation. In Enrico Kaden, Francesco Grussu, Lipeng Ning, Chantal M. W. Tax, and Jelle Veraart, editors, Computational Diffusion MRI, 51–63. Cham, 2018. Springer International Publishing.

Garyfallidis, E., M. Brett, B. Amirbekian, A. Rokem, S. Van Der Walt, M. Descoteaux, and I. Nimmo-Smith. Dipy, a library for the analysis of diffusion MRI data. Frontiers in Neuroinformatics, 1-18, 2014.